<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <!-- This file was converted to xhtml by Writer2xhtml ver. 0.9.2. See http://www.hj-gym.dk/~hj/writer2latex for more info. -->
  <title>Associating an XML Schema and Validating XML Files</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" />
  <meta name="DC.creator" content="Jens Mittelbach" />
  <meta name="DC.date" content="2008-11-20T16:56:37.74" />
  <link type="text/css" charset="utf-8" href="../help.css" rel="stylesheet" />
</head>

<body>
<h1 id="toc0">Associating an XML Schema and Validating XML Files</h1>

<p>A new object can be associated with a schema while it is being created.
Therefore, select one of the Schemas from the TextGrid Repository or one from
the built-in XML catalog.</p>

<p>
<div>
<img src="xmleditor-img22.png" id="" class="frameGraphics" alt="Grafik" />
</div>
<p class="Figure">Figure: Select a Schema for a new TextGrid object</p>
</p>

<p>If you want to associate your file with your own schema, you have to add your schema to the TextGrid Repository. In order to do so, select "Import Files" from the menu, </p>
<div>
<img src="xmleditor-img23.png" id="" class="frameGraphics" alt="Grafik" />
</div>


<p>then follow the instructions of the select files dialogue.</p>


<p>
<div>
<img src="xmleditor-img24.png" id="" class="frameGraphics" alt="Grafik" />
</div>
<p class="Figure">Figure: the select files dialogue</p>
</p>


<p class="NoteP"><span class="Note">Note: </span> Currently only W3C Schemas are supported in the TextGridLab </p>





<p>To associate a Schema with an existing project click on "XML" in the menu bar and select "Associate a
schema ..."</p>

<p>
<div>
<img src="xmleditor-img20.png" id="" class="frameGraphics" alt="Grafik" />
</div>
</p>

<p>Choose one from the listed schemas and press the "OK" button. </p>

<p>To validate your schema, open the context menu in the <em>Source</em> view by
right-clicking and select "validate".</p>

<p class="NoteP"><span class="Note">Note: </span>While you are working with your xml file, it is
automatically validated against the associated schema. If your file is not
valid, this is indicated by a red button on top of the vertical ruler in the
right area of the Source view. The single errors are marked as red bars in the
vertical ruler below. 

<div>
<img src="xmleditor-img21.png" id="" class="frameGraphics" alt="Grafik" />
</div>


<p>Click on the red bars to get to the location of the errors and correct them.
As soon as your file is valid, the red button will disapear.</p>
</p>
</body>
</html>